sap.ui.define([
	"sap/ui/test/Opa5",
	"sap/ui/test/opaQunit"
], function (Opa5, opaTest) {
	"use strict";

	QUnit.module("UI5 Testrecorder");

	opaTest("Erklärung", function(Given, When, Then) {
		Given.iStartTheAppByHash({hash: "/p2"});

		When.onPage2.press({controlType: "sap.m.Button", id: {value: "right2",isRegex: false}});
		When.onPage3.enterText({controlType: "sap.m.SearchField", id: {value: "searchField",isRegex: false}, actionText: "Car"});
		When.onPage3.press({controlType: "sap.m.SearchField", id: {value: "searchField",isRegex: false}});

		Given.iTeardownTheApp();
	});
});